[aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

[aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Matthias Wessendorf
While at it :), as a follow-up thought on that, I am wondering if, on MASTER, we should look into making it Java8?

-Matthias

On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <[hidden email]> wrote:
Hello,

as said in the other email thread earlier this week ([1]) there is a bug in the last JBoss AS 7.1 release (see [2]), that basically means the server works properly only on EAP6.x and WildFly.

Because of that, I am wondering about removing the -as7 module (see [3]), on our MASTER branch. For the 1.0.x branch, I'd like to keep it, for EAP usage reasons.

What do you guys think?

-Matthias



--
Matthias Wessendorf

blog: http://matthiaswessendorf.wordpress.com/
sessions: http://www.slideshare.net/mwessendorf
twitter: http://twitter.com/mwessendorf



--
Matthias Wessendorf

blog: http://matthiaswessendorf.wordpress.com/
sessions: http://www.slideshare.net/mwessendorf
twitter: http://twitter.com/mwessendorf

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Karel Piwko
If master is WF only, that should work.

If you guys keep EAP there, you'd need to target 1.6 and also not to use
1.8 for the runtime, see https://access.redhat.com/articles/111663 for
EAP supported configurations.

Karel

On Wed, 2014-10-22 at 08:44 +0200, Matthias Wessendorf wrote:

> While at it :), as a follow-up thought on that, I am wondering if, on
> MASTER, we should look into making it Java8?
>
> -Matthias
>
> On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <[hidden email]>
> wrote:
>
> > Hello,
> >
> > as said in the other email thread earlier this week ([1]) there is a bug
> > in the last JBoss AS 7.1 release (see [2]), that basically means the server
> > works properly only on EAP6.x and WildFly.
> >
> > Because of that, I am wondering about removing the -as7 module (see [3]),
> > on our MASTER branch. For the 1.0.x branch, I'd like to keep it, for EAP
> > usage reasons.
> >
> > What do you guys think?
> >
> > -Matthias
> >
> > [1] http://lists.jboss.org/pipermail/aerogear-dev/2014-October/009435.html
> > [2] https://issues.jboss.org/browse/AS7-4694
> > [3]
> > https://github.com/aerogear/aerogear-unifiedpush-server/tree/master/servers/ups-as7
> >
> >
> > --
> > Matthias Wessendorf
> >
> > blog: http://matthiaswessendorf.wordpress.com/
> > sessions: http://www.slideshare.net/mwessendorf
> > twitter: http://twitter.com/mwessendorf
> >
>
>
>
> _______________________________________________
> aerogear-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Matthias Wessendorf


On Wed, Oct 22, 2014 at 10:33 AM, Karel Piwko <[hidden email]> wrote:
If master is WF only, that should work.

yes, see original email :-) 
 

If you guys keep EAP there, you'd need to target 1.6 and also not to use
1.8 for the runtime, see https://access.redhat.com/articles/111663 for
EAP supported configurations.

Karel

On Wed, 2014-10-22 at 08:44 +0200, Matthias Wessendorf wrote:
> While at it :), as a follow-up thought on that, I am wondering if, on
> MASTER, we should look into making it Java8?
>
> -Matthias
>
> On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <[hidden email]>
> wrote:
>
> > Hello,
> >
> > as said in the other email thread earlier this week ([1]) there is a bug
> > in the last JBoss AS 7.1 release (see [2]), that basically means the server
> > works properly only on EAP6.x and WildFly.
> >
> > Because of that, I am wondering about removing the -as7 module (see [3]),
> > on our MASTER branch. For the 1.0.x branch, I'd like to keep it, for EAP
> > usage reasons.
> >
> > What do you guys think?
> >
> > -Matthias
> >
> > [1] http://lists.jboss.org/pipermail/aerogear-dev/2014-October/009435.html
> > [2] https://issues.jboss.org/browse/AS7-4694
> > [3]
> > https://github.com/aerogear/aerogear-unifiedpush-server/tree/master/servers/ups-as7
> >
> >
> > --
> > Matthias Wessendorf
> >
> > blog: http://matthiaswessendorf.wordpress.com/
> > sessions: http://www.slideshare.net/mwessendorf
> > twitter: http://twitter.com/mwessendorf
> >
>
>
>
> _______________________________________________
> aerogear-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
Matthias Wessendorf

blog: http://matthiaswessendorf.wordpress.com/
sessions: http://www.slideshare.net/mwessendorf
twitter: http://twitter.com/mwessendorf

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

danielbevenius
+1 Sounds reasonable

On 22 October 2014 10:35, Matthias Wessendorf <[hidden email]> wrote:


On Wed, Oct 22, 2014 at 10:33 AM, Karel Piwko <[hidden email]> wrote:
If master is WF only, that should work.

yes, see original email :-) 
 

If you guys keep EAP there, you'd need to target 1.6 and also not to use
1.8 for the runtime, see https://access.redhat.com/articles/111663 for
EAP supported configurations.

Karel

On Wed, 2014-10-22 at 08:44 +0200, Matthias Wessendorf wrote:
> While at it :), as a follow-up thought on that, I am wondering if, on
> MASTER, we should look into making it Java8?
>
> -Matthias
>
> On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <[hidden email]>
> wrote:
>
> > Hello,
> >
> > as said in the other email thread earlier this week ([1]) there is a bug
> > in the last JBoss AS 7.1 release (see [2]), that basically means the server
> > works properly only on EAP6.x and WildFly.
> >
> > Because of that, I am wondering about removing the -as7 module (see [3]),
> > on our MASTER branch. For the 1.0.x branch, I'd like to keep it, for EAP
> > usage reasons.
> >
> > What do you guys think?
> >
> > -Matthias
> >
> > [1] http://lists.jboss.org/pipermail/aerogear-dev/2014-October/009435.html
> > [2] https://issues.jboss.org/browse/AS7-4694
> > [3]
> > https://github.com/aerogear/aerogear-unifiedpush-server/tree/master/servers/ups-as7
> >
> >
> > --
> > Matthias Wessendorf
> >
> > blog: http://matthiaswessendorf.wordpress.com/
> > sessions: http://www.slideshare.net/mwessendorf
> > twitter: http://twitter.com/mwessendorf
> >
>
>
>
> _______________________________________________
> aerogear-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Karel Piwko
In reply to this post by Matthias Wessendorf
Just a clarification, you mean making it *also* Java8 compatible, not
exclusively Java8, right?

On Wed, 2014-10-22 at 10:35 +0200, Matthias Wessendorf wrote:

> On Wed, Oct 22, 2014 at 10:33 AM, Karel Piwko <[hidden email]> wrote:
>
> > If master is WF only, that should work.
> >
>
> yes, see original email :-)
>
>
> >
> > If you guys keep EAP there, you'd need to target 1.6 and also not to use
> > 1.8 for the runtime, see https://access.redhat.com/articles/111663 for
> > EAP supported configurations.
> >
> > Karel
> >
> > On Wed, 2014-10-22 at 08:44 +0200, Matthias Wessendorf wrote:
> > > While at it :), as a follow-up thought on that, I am wondering if, on
> > > MASTER, we should look into making it Java8?
> > >
> > > -Matthias
> > >
> > > On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <[hidden email]>
> > > wrote:
> > >
> > > > Hello,
> > > >
> > > > as said in the other email thread earlier this week ([1]) there is a
> > bug
> > > > in the last JBoss AS 7.1 release (see [2]), that basically means the
> > server
> > > > works properly only on EAP6.x and WildFly.
> > > >
> > > > Because of that, I am wondering about removing the -as7 module (see
> > [3]),
> > > > on our MASTER branch. For the 1.0.x branch, I'd like to keep it, for
> > EAP
> > > > usage reasons.
> > > >
> > > > What do you guys think?
> > > >
> > > > -Matthias
> > > >
> > > > [1]
> > http://lists.jboss.org/pipermail/aerogear-dev/2014-October/009435.html
> > > > [2] https://issues.jboss.org/browse/AS7-4694
> > > > [3]
> > > >
> > https://github.com/aerogear/aerogear-unifiedpush-server/tree/master/servers/ups-as7
> > > >
> > > >
> > > > --
> > > > Matthias Wessendorf
> > > >
> > > > blog: http://matthiaswessendorf.wordpress.com/
> > > > sessions: http://www.slideshare.net/mwessendorf
> > > > twitter: http://twitter.com/mwessendorf
> > > >
> > >
> > >
> > >
> > > _______________________________________________
> > > aerogear-dev mailing list
> > > [hidden email]
> > > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >
> >
> > _______________________________________________
> > aerogear-dev mailing list
> > [hidden email]
> > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >
>
>
>
> _______________________________________________
> aerogear-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Matthias Wessendorf
long term, on master, exclusively jsk8

On Wednesday, October 22, 2014, Karel Piwko <[hidden email]> wrote:
Just a clarification, you mean making it *also* Java8 compatible, not
exclusively Java8, right?

On Wed, 2014-10-22 at 10:35 +0200, Matthias Wessendorf wrote:
> On Wed, Oct 22, 2014 at 10:33 AM, Karel Piwko <<a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;kpiwko@redhat.com&#39;)">kpiwko@...> wrote:
>
> > If master is WF only, that should work.
> >
>
> yes, see original email :-)
>
>
> >
> > If you guys keep EAP there, you'd need to target 1.6 and also not to use
> > 1.8 for the runtime, see https://access.redhat.com/articles/111663 for
> > EAP supported configurations.
> >
> > Karel
> >
> > On Wed, 2014-10-22 at 08:44 +0200, Matthias Wessendorf wrote:
> > > While at it :), as a follow-up thought on that, I am wondering if, on
> > > MASTER, we should look into making it Java8?
> > >
> > > -Matthias
> > >
> > > On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <<a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;matzew@apache.org&#39;)">matzew@...>
> > > wrote:
> > >
> > > > Hello,
> > > >
> > > > as said in the other email thread earlier this week ([1]) there is a
> > bug
> > > > in the last JBoss AS 7.1 release (see [2]), that basically means the
> > server
> > > > works properly only on EAP6.x and WildFly.
> > > >
> > > > Because of that, I am wondering about removing the -as7 module (see
> > [3]),
> > > > on our MASTER branch. For the 1.0.x branch, I'd like to keep it, for
> > EAP
> > > > usage reasons.
> > > >
> > > > What do you guys think?
> > > >
> > > > -Matthias
> > > >
> > > > [1]
> > http://lists.jboss.org/pipermail/aerogear-dev/2014-October/009435.html
> > > > [2] https://issues.jboss.org/browse/AS7-4694
> > > > [3]
> > > >
> > https://github.com/aerogear/aerogear-unifiedpush-server/tree/master/servers/ups-as7
> > > >
> > > >
> > > > --
> > > > Matthias Wessendorf
> > > >
> > > > blog: http://matthiaswessendorf.wordpress.com/
> > > > sessions: http://www.slideshare.net/mwessendorf
> > > > twitter: http://twitter.com/mwessendorf
> > > >
> > >
> > >
> > >
> > > _______________________________________________
> > > aerogear-dev mailing list
> > > <a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;aerogear-dev@lists.jboss.org&#39;)">aerogear-dev@...
> > > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >
> >
> > _______________________________________________
> > aerogear-dev mailing list
> > <a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;aerogear-dev@lists.jboss.org&#39;)">aerogear-dev@...
> > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >
>
>
>
> _______________________________________________
> aerogear-dev mailing list
> <a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;aerogear-dev@lists.jboss.org&#39;)">aerogear-dev@...
> https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
<a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;aerogear-dev@lists.jboss.org&#39;)">aerogear-dev@...
https://lists.jboss.org/mailman/listinfo/aerogear-dev


--
Sent from Gmail Mobile

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Matthias Wessendorf


On Wed, Oct 22, 2014 at 12:38 PM, Matthias Wessendorf <[hidden email]> wrote:
long term, on master, exclusively jsk8

but :-) initial steps would be to make it also Java8 compatible. Once that is there, we will see how to move on.
I think in the past qmx has expressed interested in looking at JDK8, as he already looked into the doclet issue a bit

-M
 


On Wednesday, October 22, 2014, Karel Piwko <[hidden email]> wrote:
Just a clarification, you mean making it *also* Java8 compatible, not
exclusively Java8, right?

On Wed, 2014-10-22 at 10:35 +0200, Matthias Wessendorf wrote:
> On Wed, Oct 22, 2014 at 10:33 AM, Karel Piwko <[hidden email]> wrote:
>
> > If master is WF only, that should work.
> >
>
> yes, see original email :-)
>
>
> >
> > If you guys keep EAP there, you'd need to target 1.6 and also not to use
> > 1.8 for the runtime, see https://access.redhat.com/articles/111663 for
> > EAP supported configurations.
> >
> > Karel
> >
> > On Wed, 2014-10-22 at 08:44 +0200, Matthias Wessendorf wrote:
> > > While at it :), as a follow-up thought on that, I am wondering if, on
> > > MASTER, we should look into making it Java8?
> > >
> > > -Matthias
> > >
> > > On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <[hidden email]>
> > > wrote:
> > >
> > > > Hello,
> > > >
> > > > as said in the other email thread earlier this week ([1]) there is a
> > bug
> > > > in the last JBoss AS 7.1 release (see [2]), that basically means the
> > server
> > > > works properly only on EAP6.x and WildFly.
> > > >
> > > > Because of that, I am wondering about removing the -as7 module (see
> > [3]),
> > > > on our MASTER branch. For the 1.0.x branch, I'd like to keep it, for
> > EAP
> > > > usage reasons.
> > > >
> > > > What do you guys think?
> > > >
> > > > -Matthias
> > > >
> > > > [1]
> > http://lists.jboss.org/pipermail/aerogear-dev/2014-October/009435.html
> > > > [2] https://issues.jboss.org/browse/AS7-4694
> > > > [3]
> > > >
> > https://github.com/aerogear/aerogear-unifiedpush-server/tree/master/servers/ups-as7
> > > >
> > > >
> > > > --
> > > > Matthias Wessendorf
> > > >
> > > > blog: http://matthiaswessendorf.wordpress.com/
> > > > sessions: http://www.slideshare.net/mwessendorf
> > > > twitter: http://twitter.com/mwessendorf
> > > >
> > >
> > >
> > >
> > > _______________________________________________
> > > aerogear-dev mailing list
> > > [hidden email]
> > > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >
> >
> > _______________________________________________
> > aerogear-dev mailing list
> > [hidden email]
> > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >
>
>
>
> _______________________________________________
> aerogear-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev


--
Sent from Gmail Mobile



--
Matthias Wessendorf

blog: http://matthiaswessendorf.wordpress.com/
sessions: http://www.slideshare.net/mwessendorf
twitter: http://twitter.com/mwessendorf

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Karel Piwko
On Wed, 2014-10-22 at 12:58 +0200, Matthias Wessendorf wrote:

> On Wed, Oct 22, 2014 at 12:38 PM, Matthias Wessendorf <[hidden email]>
> wrote:
>
> > long term, on master, exclusively jsk8
>
>
> but :-) initial steps would be to make it also Java8 compatible. Once that
> is there, we will see how to move on.
> I think in the past qmx has expressed interested in looking at JDK8, as he
> already looked into the doclet issue a bit

Agree with initial steps. As for exclusively jdk8 - it would make more
sense to keep jdk7 if still supported by WF to me. So, if WF drops JDK7,
it's probably the right time to drop it as well in UPS but I don't see
any reason why to artificially limit users in runtime options.

>
> -M
>
>
> >
> >
> > On Wednesday, October 22, 2014, Karel Piwko <[hidden email]> wrote:
> >
> >> Just a clarification, you mean making it *also* Java8 compatible, not
> >> exclusively Java8, right?
> >>
> >> On Wed, 2014-10-22 at 10:35 +0200, Matthias Wessendorf wrote:
> >> > On Wed, Oct 22, 2014 at 10:33 AM, Karel Piwko <[hidden email]>
> >> wrote:
> >> >
> >> > > If master is WF only, that should work.
> >> > >
> >> >
> >> > yes, see original email :-)
> >> >
> >> >
> >> > >
> >> > > If you guys keep EAP there, you'd need to target 1.6 and also not to
> >> use
> >> > > 1.8 for the runtime, see https://access.redhat.com/articles/111663
> >> for
> >> > > EAP supported configurations.
> >> > >
> >> > > Karel
> >> > >
> >> > > On Wed, 2014-10-22 at 08:44 +0200, Matthias Wessendorf wrote:
> >> > > > While at it :), as a follow-up thought on that, I am wondering if,
> >> on
> >> > > > MASTER, we should look into making it Java8?
> >> > > >
> >> > > > -Matthias
> >> > > >
> >> > > > On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <
> >> [hidden email]>
> >> > > > wrote:
> >> > > >
> >> > > > > Hello,
> >> > > > >
> >> > > > > as said in the other email thread earlier this week ([1]) there
> >> is a
> >> > > bug
> >> > > > > in the last JBoss AS 7.1 release (see [2]), that basically means
> >> the
> >> > > server
> >> > > > > works properly only on EAP6.x and WildFly.
> >> > > > >
> >> > > > > Because of that, I am wondering about removing the -as7 module
> >> (see
> >> > > [3]),
> >> > > > > on our MASTER branch. For the 1.0.x branch, I'd like to keep it,
> >> for
> >> > > EAP
> >> > > > > usage reasons.
> >> > > > >
> >> > > > > What do you guys think?
> >> > > > >
> >> > > > > -Matthias
> >> > > > >
> >> > > > > [1]
> >> > >
> >> http://lists.jboss.org/pipermail/aerogear-dev/2014-October/009435.html
> >> > > > > [2] https://issues.jboss.org/browse/AS7-4694
> >> > > > > [3]
> >> > > > >
> >> > >
> >> https://github.com/aerogear/aerogear-unifiedpush-server/tree/master/servers/ups-as7
> >> > > > >
> >> > > > >
> >> > > > > --
> >> > > > > Matthias Wessendorf
> >> > > > >
> >> > > > > blog: http://matthiaswessendorf.wordpress.com/
> >> > > > > sessions: http://www.slideshare.net/mwessendorf
> >> > > > > twitter: http://twitter.com/mwessendorf
> >> > > > >
> >> > > >
> >> > > >
> >> > > >
> >> > > > _______________________________________________
> >> > > > aerogear-dev mailing list
> >> > > > [hidden email]
> >> > > > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >> > >
> >> > >
> >> > > _______________________________________________
> >> > > aerogear-dev mailing list
> >> > > [hidden email]
> >> > > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >> > >
> >> >
> >> >
> >> >
> >> > _______________________________________________
> >> > aerogear-dev mailing list
> >> > [hidden email]
> >> > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >>
> >>
> >> _______________________________________________
> >> aerogear-dev mailing list
> >> [hidden email]
> >> https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >>
> >
> >
> > --
> > Sent from Gmail Mobile
> >
>
>
>
> _______________________________________________
> aerogear-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Matthias Wessendorf


On Wed, Oct 22, 2014 at 1:05 PM, Karel Piwko <[hidden email]> wrote:
On Wed, 2014-10-22 at 12:58 +0200, Matthias Wessendorf wrote:
> On Wed, Oct 22, 2014 at 12:38 PM, Matthias Wessendorf <[hidden email]>
> wrote:
>
> > long term, on master, exclusively jsk8
>
>
> but :-) initial steps would be to make it also Java8 compatible. Once that
> is there, we will see how to move on.
> I think in the past qmx has expressed interested in looking at JDK8, as he
> already looked into the doclet issue a bit

Agree with initial steps. As for exclusively jdk8 - it would make more
sense to keep jdk7 if still supported by WF to me. So, if WF drops JDK7,
it's probably the right time to drop it as well in UPS but I don't see
any reason why to artificially limit users in runtime options.

yeah, let's see after the initial steps :) 
there are some benefits in coding against Java8 ;-)
 

>
> -M
>
>
> >
> >
> > On Wednesday, October 22, 2014, Karel Piwko <[hidden email]> wrote:
> >
> >> Just a clarification, you mean making it *also* Java8 compatible, not
> >> exclusively Java8, right?
> >>
> >> On Wed, 2014-10-22 at 10:35 +0200, Matthias Wessendorf wrote:
> >> > On Wed, Oct 22, 2014 at 10:33 AM, Karel Piwko <[hidden email]>
> >> wrote:
> >> >
> >> > > If master is WF only, that should work.
> >> > >
> >> >
> >> > yes, see original email :-)
> >> >
> >> >
> >> > >
> >> > > If you guys keep EAP there, you'd need to target 1.6 and also not to
> >> use
> >> > > 1.8 for the runtime, see https://access.redhat.com/articles/111663
> >> for
> >> > > EAP supported configurations.
> >> > >
> >> > > Karel
> >> > >
> >> > > On Wed, 2014-10-22 at 08:44 +0200, Matthias Wessendorf wrote:
> >> > > > While at it :), as a follow-up thought on that, I am wondering if,
> >> on
> >> > > > MASTER, we should look into making it Java8?
> >> > > >
> >> > > > -Matthias
> >> > > >
> >> > > > On Wed, Oct 22, 2014 at 8:43 AM, Matthias Wessendorf <
> >> [hidden email]>
> >> > > > wrote:
> >> > > >
> >> > > > > Hello,
> >> > > > >
> >> > > > > as said in the other email thread earlier this week ([1]) there
> >> is a
> >> > > bug
> >> > > > > in the last JBoss AS 7.1 release (see [2]), that basically means
> >> the
> >> > > server
> >> > > > > works properly only on EAP6.x and WildFly.
> >> > > > >
> >> > > > > Because of that, I am wondering about removing the -as7 module
> >> (see
> >> > > [3]),
> >> > > > > on our MASTER branch. For the 1.0.x branch, I'd like to keep it,
> >> for
> >> > > EAP
> >> > > > > usage reasons.
> >> > > > >
> >> > > > > What do you guys think?
> >> > > > >
> >> > > > > -Matthias
> >> > > > >
> >> > > > > [1]
> >> > >
> >> http://lists.jboss.org/pipermail/aerogear-dev/2014-October/009435.html
> >> > > > > [2] https://issues.jboss.org/browse/AS7-4694
> >> > > > > [3]
> >> > > > >
> >> > >
> >> https://github.com/aerogear/aerogear-unifiedpush-server/tree/master/servers/ups-as7
> >> > > > >
> >> > > > >
> >> > > > > --
> >> > > > > Matthias Wessendorf
> >> > > > >
> >> > > > > blog: http://matthiaswessendorf.wordpress.com/
> >> > > > > sessions: http://www.slideshare.net/mwessendorf
> >> > > > > twitter: http://twitter.com/mwessendorf
> >> > > > >
> >> > > >
> >> > > >
> >> > > >
> >> > > > _______________________________________________
> >> > > > aerogear-dev mailing list
> >> > > > [hidden email]
> >> > > > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >> > >
> >> > >
> >> > > _______________________________________________
> >> > > aerogear-dev mailing list
> >> > > [hidden email]
> >> > > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >> > >
> >> >
> >> >
> >> >
> >> > _______________________________________________
> >> > aerogear-dev mailing list
> >> > [hidden email]
> >> > https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >>
> >>
> >> _______________________________________________
> >> aerogear-dev mailing list
> >> [hidden email]
> >> https://lists.jboss.org/mailman/listinfo/aerogear-dev
> >>
> >
> >
> > --
> > Sent from Gmail Mobile
> >
>
>
>
> _______________________________________________
> aerogear-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
Matthias Wessendorf

blog: http://matthiaswessendorf.wordpress.com/
sessions: http://www.slideshare.net/mwessendorf
twitter: http://twitter.com/mwessendorf

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
qmx
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

qmx
Administrator
In reply to this post by Matthias Wessendorf
On Wed, Oct 22, 2014 at 12:38:31PM +0200, Matthias Wessendorf wrote:
> long term, on master, exclusively jsk8
-1

There are no clear advantages for us on this, which effectively would
mean just putting a virtual restriction for our users.

making it work on jdk8 on the other hand is a high-value task, in my
roadmap :)

--
qmx
_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Java8 on master? (was: Re: [UPS] A thought: On MASTER only support WildFly?)

Matthias Wessendorf


On Wed, Oct 22, 2014 at 2:03 PM, Douglas Campos <[hidden email]> wrote:
On Wed, Oct 22, 2014 at 12:38:31PM +0200, Matthias Wessendorf wrote:
> long term, on master, exclusively jsk8
-1

There are no clear advantages for us on this, which effectively would
mean just putting a virtual restriction for our users.

fair -> enough(); 
 

making it work on jdk8 on the other hand is a high-value task, in my
roadmap :)

cool! Ok, looks like we are getting started :)  

--
qmx
_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
Matthias Wessendorf

blog: http://matthiaswessendorf.wordpress.com/
sessions: http://www.slideshare.net/mwessendorf
twitter: http://twitter.com/mwessendorf

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev